Convert Markdown to Slack Block Kit
curl --request POST \
--url https://{deployment}/api/v1/slack/convert \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"markdown": "# Release notes\n- Fixed login\n- **Faster** search",
"version": "v1",
"enableHeadingDividers": true
}
'import requests
url = "https://{deployment}/api/v1/slack/convert"
payload = {
"markdown": "# Release notes
- Fixed login
- **Faster** search",
"version": "v1",
"enableHeadingDividers": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
markdown: '# Release notes\n- Fixed login\n- **Faster** search',
version: 'v1',
enableHeadingDividers: true
})
};
fetch('https://{deployment}/api/v1/slack/convert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"result": {
"blockKitUrl": "<string>",
"blocks": [
{}
]
},
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Slack
Convert Markdown to Slack Block Kit
Converts Markdown into Slack Block Kit JSON and a Block Kit Builder preview URL. Requires a Basic license. This route is rate limited.
POST
/
slack
/
convert
Convert Markdown to Slack Block Kit
Authorizations
Your deployment's API key (MMK_API_KEY). Routes that accept OAuth2 also allow Authorization: Bearer <token>.
Body
application/json
Was this page helpful?
⌘I

